Bug 214725 - BUG: spinlock lockup on CPU#0,
BUG: spinlock lockup on CPU#0,
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-08 19:51 EST by Dave Mitchell
Modified: 2009-08-29 14:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 01:28:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages (39.36 KB, text/plain)
2006-11-08 19:51 EST, Dave Mitchell
no flags Details
dmesg from dualcore system (20.48 KB, text/plain)
2006-12-04 02:45 EST, Chris Verhoef
no flags Details
/var/log/dmesg (23.42 KB, text/plain)
2007-05-09 19:18 EDT, Adri Verhoef
no flags Details

  None (edit)
Description Dave Mitchell 2006-11-08 19:51:42 EST
Description of problem:

during heavy I/O, system locked up, and the following appeared in all terminal
windows:

BUG: spinlock lockup on CPU#0, cp/27010, c003fdcc (Tainted: GF    )

Version-Release number of selected component (if applicable):

kernel-2.6.18-1.2798.fc6 i386

How reproducible:

Not reproducable, but on an Intel core duo laptop, I was (in parallel by
mistake) copying (cp -r) 4 copies of a perl src tree


Steps to Reproduce:
1.
2.
3.
  
Actual results:

system locked up. cursor still moved, but keyboard (inc CTL-ALT-Fn/Del)
non-responsive. Non-pingable. After a couple of minutes cursor froze too. Power
cycled machine.


Expected results:


Additional info:

see attached /var/log/messages - it includes the error followed by the reboot output
Comment 1 Dave Mitchell 2006-11-08 19:51:42 EST
Created attachment 140731 [details]
/var/log/messages
Comment 2 Chris Verhoef 2006-12-04 02:45:45 EST
Created attachment 142701 [details]
dmesg from dualcore system
Comment 3 Chris Verhoef 2006-12-04 02:49:27 EST
Almost the same problem over here, the system will "freeze" during inactivity. 
When running the system within the runlevel 3, I did see some logging on the
screen, but there is noting within the messages. When running a X-sever the
system freezes and could not find any error.

The console logging looks like:

>>PANIC, but scrolled out of the screeen<<
BUG: spinlock lockup on CPU#0, swapper/0, fffffff80556ea0 (Not Tainted)
BUG: spinlock lockup on CPU#1, swapper/0, fffffff80556ea0 (Not Tainted)
BUG: spinlock lockup on CPU#0, swapper/0, fffffff80556ea0 (Not Tainted)
BUG: spinlock lockup on CPU#1, swapper/0, fffffff80556ea0 (Not Tainted)

The last lines keep going, but the mouse/keyboard and consoles are not responig
any more.

System:
Asus P5B with P965 chipset (latest bios 806), E6400 Intel Dual Core and 1GB DDR2/800
Comment 4 STEPHAN Gael 2006-12-29 04:28:46 EST
I have the same behaviour on 2.6.18-1.2868.fc6.
Computer is a Sony Laptop VGN-SZ1XP running a Core duo cpu.
 ----- start of dmesg -----

Linux version 2.6.18-1.2860.fc6 (brewbuilder@hs20-bc2-4.build.redhat.com) (gcc
version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Tue Dec 5 13:49:49 EST 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
 BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003fe70000 (usable)
 BIOS-e820: 000000003fe70000 - 000000003fe7e000 (ACPI data)
 BIOS-e820: 000000003fe7e000 - 000000003ff00000 (ACPI NVS)
 BIOS-e820: 000000003ff00000 - 0000000040000000 (reserved)
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fed14000 - 00000000fed1a000 (reserved)
 BIOS-e820: 00000000fed1c000 - 00000000fed90000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
126MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000f6480
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 261744
  DMA zone: 4096 pages, LIFO batch:0
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 32368 pages, LIFO batch:7
DMI present.
Using APIC driver default
ACPI: RSDP (v000 PTLTD                                 ) @ 0x000f63b0
ACPI: RSDT (v001   Sony       N0 0x20060710 PTL  0x00000000) @ 0x3fe764d1
ACPI: FADT (v002   Sony       N0 0x20060710 PTL  0x0000005a) @ 0x3fe7ddde
ACPI: MADT (v001   Sony       N0 0x20060710 PTL  0x0000005a) @ 0x3fe7de62
ACPI: BOOT (v001   Sony       N0 0x20060710 PTL  0x00000001) @ 0x3fe7dfd8
ACPI: MCFG (v001   Sony       N0 0x20060710 PTL  0x0000005a) @ 0x3fe7df02
ACPI: TCPA (v001   Sony       N0 0x20060710 PTL  0x00005a52) @ 0x3fe7df3e
ACPI: MADT (v001   Sony       N0 0x20060710 PTL  0x00000000) @ 0x3fe7df70
ACPI: SSDT (v001   Sony       N0 0x20060710 PTL  0x20050624) @ 0x3fe776b1
ACPI: SSDT (v001   Sony       N0 0x20060710 PTL  0x20050624) @ 0x3fe76ee6
ACPI: SSDT (v001   Sony       N0 0x20060710 PTL  0x20050624) @ 0x3fe76519
ACPI: DSDT (v001   Sony       N0 0x20060710 PTL  0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x1008
ACPI: Local APIC address 0xfee00000
ACPI: 2 duplicate APIC table ignored.
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 6:14 APIC version 20
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Processor #1 6:14 APIC version 20
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 50000000 (gap: 40000000:a0000000)
Detected 1833.653 MHz processor.
Built 1 zonelists.  Total pages: 261744
Kernel command line: ro root=LABEL=/ quiet
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c07ae000 soft=c078e000
PID hash table entries: 4096 (order: 12, 16384 bytes)
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 1031260k/1046976k available (2139k kernel code, 14980k reserved, 866k
data, 240k init, 129472k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 3669.58 BogoMIPS (lpj=1834791)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfe9fbff 00100000 00000000 00000000 0000c1a9
00000000 00000000
CPU: After vendor identify, caps: bfe9fbff 00100000 00000000 00000000 0000c1a9
00000000 00000000
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU: After all inits, caps: bfe9f3ff 00100000 00000000 00000940 0000c1a9
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
ACPI: Core revision 20060707
CPU0: Intel Genuine Intel(R) CPU           T2400  @ 1.83GHz stepping 08
SMP alternatives: switching to SMP code
Booting processor 1/1 eip 3000
CPU 1 irqstacks, hard=c07af000 soft=c078f000
Initializing CPU#1
Calibrating delay using timer specific routine.. 13418.99 BogoMIPS (lpj=6709496)
CPU: After generic identify, caps: bfe9fbff 00100000 00000000 00000000 0000c1a9
00000000 00000000
CPU: After vendor identify, caps: bfe9fbff 00100000 00000000 00000000 0000c1a9
00000000 00000000
monitor/mwait feature present.
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU: After all inits, caps: bfe9f3ff 00100000 00000000 00000940 0000c1a9
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: Intel Genuine Intel(R) CPU           T2400  @ 1.83GHz stepping 08
Total of 2 processors activated (17088.57 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
checking TSC synchronization across 2 CPUs: passed.
Brought up 2 CPUs

--- cpuinfo ---
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2400  @ 1.83GHz
stepping        : 8
cpu MHz         : 1000.000
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor vmx
est tm2 xtpr
bogomips        : 3669.58

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2400  @ 1.83GHz
stepping        : 8
cpu MHz         : 1000.000
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni monitor vmx
est tm2 xtpr
bogomips        : 13418.99

Comment 5 Adri Verhoef 2007-05-09 19:18:36 EDT
Created attachment 154439 [details]
/var/log/dmesg
Comment 6 Adri Verhoef 2007-05-09 19:38:55 EDT
Story:
My network connection had been unresponsive for 18 hours when I decided to
"ifdown" and "ifup" eth0 a few seconds later.  This is what happened: the PC
speaker suddenly started sounding and I was able to write down the last 24 lines
of text on the screen:

>>              sock_ioctl+0x1db/0x1fc
>>              do_ioctl+0x2a/0x77
>>              vfs_ioctl+0x260/0x27d
>>              sys_ioctl+0x5f/0x82
>>              tracesys+0xdc/0xe1
>>
>>      ./network-functions: line 313: 25858 Killed 
>>              ip link set dev $1 up > /dev/null 2>&1 
>>
>>      Message from syslogd@ at Mon May 7 18:15:42 2007
>>      a3 kernel: Oops: 0000 [1] SMP BUG: spinlock lockup on CPU#0,
>>      multiload-apple/25898, ffff81003d17cf18 (not tainted)
>>
>>      Call Trace:
>>              _raw_spin_lock+0xc5/0xeb
>>              _spin_lock_irqsave+0x34/0x3c
>>              :via_rhine:rhine_get_stats+0x3b/0xbd
>>              dev_seq_show+0x3a/0x11c
>>              dev_seq_start+0x18/0x53
>>              seq_read+0x1c9/0x29c
>>              vfs_read+0xcc/0x175
>>              sys_read+0x47/0xbf
>>              tracesys+0xdc/0xe1

My kernel is "Linux a3.xs4all.nl 2.6.21-1.3116.fc7 #1 SMP Thu Apr 26 10:17:55
EDT 2007 x86_64 x86_64 x86_64 GNU/Linux" and had been running for a week at that
time.

Here is some more information from /var/log/messages from the moment where
things started behaving strangely:
May  6 04:11:18 a3 kernel: powernow-k8: Hardware error - pending bit very stuck
- no further pstate changes possible
May  6 04:11:19 a3 kernel: powernow-k8: transition frequency failed 
May  6 08:10:29 a3 kernel: powernow-k8: failing targ, change pending bit set
May  6 14:09:12 a3 kernel: powernow-k8: error - out of sync, fix 0x10 0xe, vid
0x8 0x8
May  6 14:09:12 a3 kernel: powernow-k8: ph2 null fid transition 0xe
May  6 17:15:54 a3 kernel: powernow-k8: Hardware error - pending bit very stuck
- no further pstate changes possible
May  6 17:15:55 a3 kernel: powernow-k8: transition frequency failed 
May  6 17:15:55 a3 kernel: powernow-k8: failing targ, change pending bit set
May  6 17:20:14 a3 last message repeated 230 times
May  6 17:20:15 a3 kernel: powernow-k8: error - out of sync, fix 0xc 0xe, vid
0x6 0x6
May  7 01:51:16 a3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
May  7 01:51:16 a3 kernel: eth0: Transmit timed out, status 1003, PHY status
786d, resetting...
May  7 01:51:16 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
  [these 3 lines repeated 327 times until...:]
May  7 03:04:12 a3 kernel: powernow-k8: Hardware error - pending bit very stuck
- no further pstate changes possible
May  7 03:04:12 a3 kernel: powernow-k8: transition frequency failed
May  7 03:04:14 a3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
May  7 03:04:14 a3 kernel: eth0: Transmit timed out, status 0003, PHY status
786d, resetting...
May  7 03:04:14 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
  [etc. etc. thousands and thousands of times until... "ifdown eth0":]
May  7 18:07:26 a3 kernel: eth0: link down
May  7 18:07:26 a3 kernel: powernow-k8: failing targ, change pending bit set
May  7 18:07:26 a3 avahi-daemon[3003]: IP_ADD_MEMBERSHIP failed: No buffer space
available
May  7 18:07:39 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:07:39 a3 avahi-daemon[3003]: Joining mDNS multicast group on interface
eth0.IPv4 with address 192.168.1.34.
May  7 18:07:39 a3 avahi-daemon[3003]: IP_ADD_MEMBERSHIP failed: No buffer space
available
May  7 18:07:39 a3 kernel: powernow-k8: failing targ, change pending bit set 
May  7 18:07:44 a3 last message repeated 4 times
May  7 18:07:45 a3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
May  7 18:07:45 a3 kernel: eth0: Transmit timed out, status 4003, PHY status
786d, resetting...
May  7 18:07:45 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:07:45 a3 kernel: powernow-k8: failing targ, change pending bit set
May  7 18:07:57 a3 last message repeated 11 times
May  7 18:07:58 a3 kernel: eth0: link down
May  7 18:07:58 a3 avahi-daemon[3003]: Joining mDNS multicast group on interface
eth0.IPv4 with address 192.168.1.34.May  7 18:07:58 a3 avahi-daemon[3003]:
IP_ADD_MEMBERSHIP failed: No buffer space available
May  7 18:07:58 a3 kernel: powernow-k8: failing targ, change pending bit set
May  7 18:07:59 a3 kernel: powernow-k8: failing targ, change pending bit set
May  7 18:08:00 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:08:00 a3 avahi-daemon[3003]: Joining mDNS multicast group on interface
eth0.IPv4 with address 192.168.1.34.
May  7 18:08:00 a3 avahi-daemon[3003]: IP_ADD_MEMBERSHIP failed: No buffer space
available
May  7 18:08:00 a3 kernel: powernow-k8: failing targ, change pending bit set
May  7 18:08:05 a3 last message repeated 4 times
May  7 18:08:05 a3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
May  7 18:08:05 a3 kernel: eth0: Transmit timed out, status 4003, PHY status
786d, resetting...
May  7 18:08:05 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:08:06 a3 kernel: powernow-k8: failing targ, change pending bit set
May  7 18:08:20 a3 last message repeated 14 times
  [snip 81 lines with NETDEV etc.]
May  7 18:14:17 a3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
May  7 18:14:17 a3 kernel: eth0: Transmit timed out, status 0003, PHY status
786d, resetting...
May  7 18:14:17 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:14:26 a3 kernel: eth0: link down
May  7 18:14:26 a3 avahi-daemon[3003]: Joining mDNS multicast group on interface
eth0.IPv4 with address 192.168.1.34.
May  7 18:14:26 a3 avahi-daemon[3003]: IP_ADD_MEMBERSHIP failed: No buffer space
available
May  7 18:14:28 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:14:28 a3 avahi-daemon[3003]: Joining mDNS multicast group on interface
eth0.IPv4 with address 192.168.1.34.
May  7 18:14:28 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:14:28 a3 avahi-daemon[3003]: Joining mDNS multicast group on interface
eth0.IPv4 with address 192.168.1.34.
May  7 18:14:28 a3 avahi-daemon[3003]: IP_ADD_MEMBERSHIP failed: No buffer space
available
May  7 18:14:37 a3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
May  7 18:14:37 a3 kernel: eth0: Transmit timed out, status 4003, PHY status
786d, resetting...
May  7 18:14:37 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:14:55 a3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
May  7 18:14:55 a3 kernel: eth0: Transmit timed out, status 0003, PHY status
786d, resetting...
May  7 18:14:55 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:15:11 a3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
May  7 18:15:11 a3 kernel: eth0: Transmit timed out, status 0003, PHY status
786d, resetting...
May  7 18:15:11 a3 kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
May  7 18:15:23 a3 NET[28013]: /sbin/dhclient-script : updated /etc/resolv.conf
May  7 18:15:24 a3 avahi-daemon[3003]: Withdrawing address record for
192.168.1.34 on eth0.
May  7 18:15:24 a3 avahi-daemon[3003]: Withdrawing address record for
fe80::216:17ff:fecd:b233 on eth0.
May  7 18:15:24 a3 avahi-daemon[3003]: Leaving mDNS multicast group on interface
eth0.IPv6 with address fe80::216:17ff:fecd:b233.
May  7 18:15:24 a3 avahi-daemon[3003]: Interface eth0.IPv6 no longer relevant
for mDNS.
May  7 18:15:42 a3 kernel: Unable to handle kernel NULL pointer dereference at
0000000000000000 RIP:
May  7 18:15:42 a3 kernel:  [<ffffffff8811ecf7>]
:via_rhine:rhine_interrupt+0x187/0x6c8
May  7 18:15:42 a3 kernel: PGD 1fe89067 PUD 23aa6067 PMD 0
May  7 18:15:42 a3 kernel: Oops: 0000 [1] SMP
May  7 18:15:42 a3 kernel: last sysfs file: /block/sdg/sdg1/stat
May  7 18:15:42 a3 kernel: CPU 0
Comment 7 Jon Stanley 2008-01-07 20:53:33 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 8 STEPHAN Gael 2008-01-08 05:12:49 EST
My issue have been solved: my laptop was stolen. It never happened on the new one.
On my side, bug can be closed.
Comment 9 Jon Stanley 2008-03-09 01:28:56 EST
Sorry that I haven't been as responsive as I should have been with this, and
sorry to hear that your laptop was stolen :(.  I'll close the bug.
Comment 10 Philip Prindeville 2009-08-29 14:54:54 EDT
I'm still seeing this on FC9 (x86_64).

Please reopen.
Comment 11 Philip Prindeville 2009-08-29 14:58:27 EDT
Oh, relevant information:

[root@mail mail]# cat /proc/cpuinfo
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 4
model name	: AMD Athlon(tm) 64 Processor 2800+
stepping	: 8
cpu MHz		: 800.000
cache size	: 512 KB
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext lm 3dnowext 3dnow up rep_good nopl
bogomips	: 3599.51
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp

[root@mail mail]# uname -a
Linux mail 2.6.27.25-78.2.56.fc9.x86_64 #1 SMP Thu Jun 18 12:24:37 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[root@mail mail]# lsmod
Module                  Size  Used by
parport_pc             34200  0 
ppdev                  15752  0 
parport                42912  2 parport_pc,ppdev
via                    47232  2 
drm                   187920  3 via
nfsd                  252904  17 
lockd                  72288  1 nfsd
nfs_acl                11264  1 nfsd
auth_rpcgss            45968  1 nfsd
exportfs               12672  1 nfsd
bridge                 56352  0 
stp                    10756  1 bridge
bnep                   21888  2 
rfcomm                 43680  4 
l2cap                  28544  16 bnep,rfcomm
bluetooth              60068  5 bnep,rfcomm,l2cap
autofs4                29448  2 
w83627hf               35860  0 
hwmon_vid              11008  1 w83627hf
sunrpc                191080  15 nfsd,lockd,nfs_acl,auth_rpcgss
nf_conntrack_netbios_ns    10880  0 
ipt_REJECT             11392  2 
nf_conntrack_ipv4      17424  16 
iptable_filter         11392  1 
ip_tables              24848  1 iptable_filter
nf_conntrack_ftp       16696  0 
ip6t_REJECT            12160  2 
xt_tcpudp              11520  30 
nf_conntrack_ipv6      22984  16 
xt_state               10624  32 
nf_conntrack           65952  5 nf_conntrack_netbios_ns,nf_conntrack_ipv4,nf_conntrack_ftp,nf_conntrack_ipv6,xt_state
ip6table_filter        11136  1 
ip6_tables             26128  1 ip6table_filter
x_tables               25864  6 ipt_REJECT,ip_tables,ip6t_REJECT,xt_tcpudp,xt_state,ip6_tables
ipv6                  288040  46 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand       15504  1 
powernow_k8            24836  0 
freq_table             12928  2 cpufreq_ondemand,powernow_k8
dm_multipath           23832  0 
scsi_dh                14980  1 dm_multipath
sr_mod                 23732  0 
cdrom                  40360  1 sr_mod
snd_usb_audio         100352  1 
snd_seq_dummy          11396  0 
snd_seq_oss            39360  0 
pcspkr                 11008  0 
snd_via82xx            34216  2 
k8temp                 13056  0 
snd_seq_midi_event     14848  1 snd_seq_oss
hwmon                  11064  2 w83627hf,k8temp
gameport               19600  1 snd_via82xx
snd_seq                62096  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
via_rhine              31240  0 
snd_ac97_codec        121032  1 snd_via82xx
mii                    13056  1 via_rhine
ac97_bus               10112  1 snd_ac97_codec
snd_mpu401_uart        15872  1 snd_via82xx
i2c_viapro             16536  0 
i2c_core               29216  2 drm,i2c_viapro
snd_pcm_oss            52224  0 
snd_mixer_oss          23168  1 snd_pcm_oss
snd_pcm                85768  4 snd_usb_audio,snd_via82xx,snd_ac97_codec,snd_pcm_oss
snd_timer              30480  2 snd_seq,snd_pcm
snd_page_alloc         16656  2 snd_via82xx,snd_pcm
snd_usb_lib            24576  1 snd_usb_audio
snd_rawmidi            30848  2 snd_mpu401_uart,snd_usb_lib
snd_seq_device         15252  4 snd_seq_dummy,snd_seq_oss,snd_seq,snd_rawmidi
usb_storage           108704  0 
snd_hwdep              16392  1 snd_usb_audio
snd                    69240  21 snd_usb_audio,snd_seq_dummy,snd_seq_oss,snd_via82xx,snd_seq,snd_ac97_codec,snd_mpu401_uart,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_usb_lib,snd_rawmidi,snd_seq_device,snd_hwdep
soundcore              14992  1 snd
pata_acpi              13184  0 
firewire_ohci          30468  0 
firewire_core          45632  1 firewire_ohci
crc_itu_t              10240  1 firewire_core
usblp                  20992  0 
pata_via               18308  0 
shpchp                 38300  0 
ata_generic            14084  0 
sg                     40656  0 
dm_snapshot            24648  0 
dm_zero                10240  0 
dm_mirror              25472  0 
dm_log                 17796  1 dm_mirror
dm_mod                 61408  17 dm_multipath,dm_snapshot,dm_zero,dm_mirror,dm_log
sata_via               17028  5 
libata                158912  4 pata_acpi,pata_via,ata_generic,sata_via
sd_mod                 40760  7 
scsi_mod              153304  6 scsi_dh,sr_mod,usb_storage,sg,libata,sd_mod
crc_t10dif             10112  1 sd_mod
ext3                  130960  4 
jbd                    56872  1 ext3
mbcache                16004  1 ext3
uhci_hcd               30752  0 
ohci_hcd               31644  0 
ehci_hcd               41612  0 
[root@mail mail]#

Note You need to log in before you can comment on or make changes to this bug.